For the complete documentation index, see llms.txt. This page is also available as Markdown.

Objects

Get objects by filter

get
/openapi/8/object/

This api is used to fetch objects based on a filter. Filters can be given by adding a key and values array to the URL. Adding a single filter: &key=key1&value=value1 Adding multiple filters: &key[]=key1&value[]=value1&key[]=key2&value[]=value2

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
tokenstringRequiredExample: {{client_token}}
software_tokenstringRequiredExample: {{software_token}}
keystringRequiredExample: ["key"]
valuestringRequiredExample: ["value"]
Query parameters
tokenstringOptionalExample: :token
software_tokenstringOptionalExample: :software_token
keystringOptionalExample: :key
valuestringOptionalExample: :value
Responses
200

Response_200

No content

get/openapi/8/object/
GET /openapi/8/object/ HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Response_200

No content

Get objects

get
/objects/

This api is used to sync objects with WorkorderApp. Each object record can contain the following data:

Parameter
Description
Required
Type (size)

obj_code

Unique code of the object. Used as reference for other entities

Y

Varchar (255)

obj_sup_code

Supplier code. Used as reference to supplier entity

N

Varchar (255)

obj_debiteur_nummer

Debtor number. Used as reference to customer clients.

Y

Varchar (255)

obj_adr_code

Address code. Used as a reference to the addres of a customer client.

N

Varchar (255)

obj_obj_code

Parent object code.

N

Varchar (255)

obj_image

Url of the image name. POST: An external url should be provided. GET: You will receive a workorderapp url.

N

Varchar (255)

obj_description

Description of the object

Y

Varchar (255)

obj_price

Price of the object

N

Decimal (7,2)

obj_floor_level

Floor level of the object

N

Int (10)

obj_location

Textual description of the location of the object

N

Varchar (255)

obj_latitude

Latitude of the location of the object

N

Float (10,6)

obj_longitude

Longitude of the location of the object

N

Float (10,6)

obj_type

Type

N

Varchar (255)

obj_model

Model

N

Varchar (255)

obj_brand

Brand

N

Varchar (255)

obj_date_warranty_expires

Expiration date of the warranty

N

Varchar (255)

obj_serialnumber

Serialnumber of the object

N

Varchar (255)

obj_date_last_inspection

Date of last inspection

N

Varchar (255)

obj_date_installation

Date of installation

N

Varchar (255)

obj_freefield_1

N

Varchar (255)

obj_freefield_2

N

Varchar (255)

obj_freefield_3

N

Varchar (255)

obj_freefield_4

N

Varchar (255)

obj_freefield_5

N

Varchar (255)

obj_freefield_6

N

Varchar (255)

obj_freefield_7

N

Varchar (255)

obj_freefield_8

N

Varchar (255)

obj_freefield_9

N

Varchar (255)

obj_freefield_10

N

Varchar (255)

obj_freefield_11

N

Varchar (255)

obj_freefield_12

N

Varchar (255)

obj_freefield_13

N

Varchar (255)

obj_freefield_14

N

Varchar (255)

obj_freefield_15

N

Varchar (255)

obj_freefield_16

N

Varchar (255)

obj_freefield_17

N

Varchar (255)

obj_freefield_18

N

Varchar (255)

obj_freefield_19

N

Varchar (255)

obj_freefield_20

N

Varchar (255)

obj_order

Sort order of an object

N

Int (10)

obj_created

Timestamp of creating

N

DateTime

obj_modified

Timestamp of modifying

N

DateTime

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
tokenstringOptionalExample: {{client_token}}
software_tokenstringOptionalExample: {{software_token}}
Responses
200

Response_200

No content

get/objects/
GET /objects/ HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Response_200

No content

Add object

post
/objects/

This api is used to sync objects with WorkorderApp. Each object record can contain the following data:

Parameter
Description
Required
Type (size)

obj_code

Unique code of the object. Used as reference for other entities

Y

Varchar (255)

obj_sup_code

Supplier code. Used as reference to supplier entity

N

Varchar (255)

obj_debiteur_nummer

Debtor number. Used as reference to customer clients.

Y

Varchar (255)

obj_adr_code

Address code. Used as a reference to the addres of a customer client.

N

Varchar (255)

obj_obj_code

Parent object code.

N

Varchar (255)

obj_image

Url of the image name. POST: An external url should be provided. GET: You will receive a workorderapp url.

N

Varchar (255)

obj_description

Description of the object

Y

Varchar (255)

obj_price

Price of the object

N

Decimal (7,2)

obj_floor_level

Floor level of the object

N

Int (10)

obj_location

Textual description of the location of the object

N

Varchar (255)

obj_latitude

Latitude of the location of the object

N

Float (10,6)

obj_longitude

Longitude of the location of the object

N

Float (10,6)

obj_type

Type

N

Varchar (255)

obj_model

Model

N

Varchar (255)

obj_brand

Brand

N

Varchar (255)

obj_date_warranty_expires

Expiration date of the warranty

N

Varchar (255)

obj_serialnumber

Serialnumber of the object

N

Varchar (255)

obj_date_last_inspection

Date of last inspection

N

Varchar (255)

obj_date_installation

Date of installation

N

Varchar (255)

obj_freefield_1

N

Varchar (255)

obj_freefield_2

N

Varchar (255)

obj_freefield_3

N

Varchar (255)

obj_freefield_4

N

Varchar (255)

obj_freefield_5

N

Varchar (255)

obj_freefield_6

N

Varchar (255)

obj_freefield_7

N

Varchar (255)

obj_freefield_8

N

Varchar (255)

obj_freefield_9

N

Varchar (255)

obj_freefield_10

N

Varchar (255)

obj_freefield_11

N

Varchar (255)

obj_freefield_12

N

Varchar (255)

obj_freefield_13

N

Varchar (255)

obj_freefield_14

N

Varchar (255)

obj_freefield_15

N

Varchar (255)

obj_freefield_16

N

Varchar (255)

obj_freefield_17

N

Varchar (255)

obj_freefield_18

N

Varchar (255)

obj_freefield_19

N

Varchar (255)

obj_freefield_20

N

Varchar (255)

obj_order

Sort order of an object

N

Int (10)

obj_created

Timestamp of creating

N

DateTime

obj_modified

Timestamp of modifying

N

DateTime

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
tokenstringOptionalExample: {{client_token}}
software_tokenstringOptionalExample: {{software_token}}
Responses
200

Response_200

No content

post/objects/
POST /objects/ HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Response_200

No content

Get changed objects

get
/objects/changed/

This api is used to fetch changed objects. A change can be made from the app. Once the information is processed the api can be called with the obj_code parameter. The changed indicator will be set to 0 so the record won't be shown again.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
tokenstringOptionalExample: {{client_token}}
software_tokenstringOptionalExample: {{software_token}}
obj_codestringOptionalExample: obj_code
Responses
200

Response_200

No content

get/objects/changed/
GET /objects/changed/ HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

Response_200

No content

Last updated

Was this helpful?